Bug 1415187 - lvnames are missing in the finally generated gdeploy conf file.
Summary: lvnames are missing in the finally generated gdeploy conf file.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: ---
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.1.0-rc
: 0.10.7-0.0.6
Assignee: Ramesh N
QA Contact: RamaKasturi
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2
TreeView+ depends on / blocked
 
Reported: 2017-01-20 13:55 UTC by RamaKasturi
Modified: 2017-03-16 14:47 UTC (History)
3 users (show)

Fixed In Version: cockpit-ovirt-0.10.7-0.0.13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-16 14:47:40 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.1+
rule-engine: blocker+
rule-engine: planning_ack+
rnachimu: devel_ack+
knarra: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 70998 master MERGED gluster: include lvname in lvsection 2017-01-25 15:42:55 UTC
oVirt gerrit 71187 ovirt-4.1 MERGED gluster: include lvname in lvsection 2017-01-25 15:43:07 UTC

Description RamaKasturi 2017-01-20 13:55:14 UTC
Description of problem:
I see that lvnames for all the lvs are missing in the finally generated gdeploy conf file 

Version-Release number of selected component (if applicable):
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install cockpit-ovirt dashboard
2. Login to the UI
3. click on "HostedEngine with gluster"
4. provide all the required inputs.

Actual results:
In the generated conf file i see that lvnames are missing for all the lvs.

Expected results:
lvnames should be present for all the lvs created.

Additional info:

Comment 1 Sandro Bonazzola 2017-01-23 15:02:14 UTC
Sahina, 4.1.0 RC has been released without this bug.
Does any workaround exists or should this block oVirt 4.1.0 GA?

Comment 2 Sahina Bose 2017-01-25 09:06:28 UTC
(In reply to Sandro Bonazzola from comment #1)
> Sahina, 4.1.0 RC has been released without this bug.
> Does any workaround exists or should this block oVirt 4.1.0 GA?

No, workaround involves manual editing of the generated conf file which could be error prone. Could we mark this a blocker?

Comment 3 RamaKasturi 2017-03-08 12:07:19 UTC
Verified and works fine with cockpit-ovirt-dashboard-0.10.7-0.0.13.el7.centos.noarch.

lvnames are present in the finally generated gdeployConfig.conf.


Note You need to log in before you can comment on or make changes to this bug.